Name:           perl-Test-Exports
Version:        1
Release:        2%{?dist}
Summary:        Test that modules export the right symbols
# 2-clause BSD with advertising
# c.f. lib/Test/Exports.pm
License:        BSD

URL:            http://metacpan.org/dist/Test-Exports/
Source0:        http://cpan.metacpan.org/authors/id/B/BM/BMORROW/Test-Exports-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-generators
BuildRequires:  perl-interpreter

BuildRequires:  perl(B)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(parent)
BuildRequires:  perl(Test::Builder::Module)
BuildRequires:  perl(Test::More) >= 0.65
BuildRequires:  perl(Test::Most) >= 0.23
BuildRequires:  perl(Test::Tester) >= 0.08

BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides simple test functions for testing other modules'
import methods. Testing is currently limited to checking which subs have
been imported.

%prep
%setup -q -n Test-Exports-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Ralf Corsépius <corsepiu@fedoraproject.org> 1-1
- Inital Fedora package.
